<?php
// $Id$

/**
 * @file
 *
 */

function incubator_events_incubator_settings_menu() {
  return array('description' => 'Settings for events and calendars.');
}

function incubator_events_incubator_settings() {
  $form['incubator_events_views_choice'] = array(
    '#type' => 'select',
    '#title' => t('Show menu links for'),
    '#options' => array('calendar' => t('Calendar'), 'upcoming' => t('Event List'), 'both' => t('Both')),
    '#default_value' => variable_get('incubator_events_views_choice', 'upcoming'),
    '#description' => t('Whichever view is chosen will appear in the main menu.'),
  );
  $form['incubator_events_views_disable_secondary'] = array(
    '#type' => 'checkbox',
    '#title' => t('Completely disable the other view'),
    '#default_value' => variable_get('incubator_events_views_disable_secondary', FALSE),
    '#description' => t('If this option is checked, whichever view is not enabled above will be completely unreachable as a page.'),
    '#states' => array(
      'invisible' => array(
        ':input[name="incubator_events_views_choice"]' => array('value' => 'both'),
      )
    ),
  );
  
  $form['upcoming'] = array(
    '#type' => 'fieldset',
    '#title' => t('Event list display options'),
  );
  $form['upcoming']['incubator_events_views_upcoming_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Title for upcoming events page'),
    '#default_value' => variable_get('incubator_events_views_upcoming_title', 'Activities and Events'),
  );

  $form['calendar'] = array(
    '#type' => 'fieldset',
    '#title' => t('Calendar display options')
  );
  $form['calendar']['incubator_events_views_calendar_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Title for calendar page'),
    '#default_value' => variable_get('incubator_events_views_calendar_title', 'Calendar'),
  );
  $form['calendar']['incubator_events_views_calendar_firstday'] = array(
    '#type' => 'select',
    '#title' => t('First day of week'),
    '#options' => array(
      '0' => t('Sunday'),
      '1' => t('Monday'),
      '2' => t('Tuesday'),
      '3' => t('Wednesday'),
      '4' => t('Thursday'),
      '5' => t('Friday'),
      '6' => t('Saturday'),
    ),
    '#default_value' => variable_get('incubator_events_views_calendar_firstday', '0'),
  );
  $form['calendar']['incubator_events_views_calendar_weekmode'] = array(
    '#type' => 'select',
    '#title' => t('Display of weeks on month view'),
    '#options' => array(
      'fixed' => t('Always show 6 weeks'),
      'liquid' => t('Show 4, 5, or 6 weeks with constant calendar height'),
      'variable' => t('Show 4, 5, or 6 weeks with constant row height'),
    ),
    '#default_value' => variable_get('incubator_events_views_calendar_weekmode', 'variable'),
  );
  $form['calendar']['incubator_events_views_calendar_editable'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow drag / drop editing of events on calendar'),
    '#default_value' => variable_get('incubator_events_views_calendar_editable', FALSE),
    '#description' => t('Note that drag / drop editing does not work in all circumstances; repeating events, for example, cannot be changed by drag and drop on the calendar.')
  );
  $form['calendar']['incubator_events_show_bahai_calendar'] = array(
    '#type' => 'checkbox',
    '#title' => t("Show the Bahá'í calendar holy days"),
    '#default_value' => variable_get('incubator_events_show_bahai_calendar', incubator_is_bahai_site()),
  );
  
  $form['activities_page'] = array(
    '#type' => 'fieldset',
    '#title' => t('Activities page'),
    '#description' => t('The activities page presents a view of upcoming events
 organized by the day of the week.  It may be useful for communities that have
 many regularly-occurring activities.')
  );
  $form['activities_page']['incubator_events_views_enable_activities_page'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable activities pages'),
    '#default_value' => variable_get('incubator_events_views_enable_activities_page', FALSE),
  );

  $form = system_settings_form($form);
  $form['#submit'][] = 'incubator_events_admin_form_submit';                    // this must be after the system form submit function

  return $form;
}

function incubator_events_admin_form_submit(&$form, &$form_state) {
  
  $choice = variable_get('incubator_events_views_choice', 'upcoming');
  if ($links = db_query('SELECT * FROM {menu_links} WHERE link_path IN (:path)', array(':path' => array('events/upcoming', 'events/calendar')))->fetchAllAssoc('link_path')) {
    foreach (array('upcoming', 'calendar') as $var) {
      ${$var} = (array) $links["events/$var"];
      if (${$var}['customized']) {
        ${$var}['hidden'] = in_array($choice, array('both', $var)) ? 0 : 1;
        ${$var}['options'] = unserialize(${$var}['options']);
        menu_link_save(${$var});
      }
    }
  }

  cache_clear_all('ctools_export:views_view:incubator_events', 'cache_views');
  cache_clear_all('ctools_export:views_view:incubator_regular_events', 'cache_views');
  cache_clear_all('ctools_export:views_view:activities_upcoming_events', 'cache_views');
  menu_rebuild();
  if (module_exists('redirect') && !variable_get('incubator_events_views_disable_secondary', FALSE)) {
    redirect_delete_by_path('events/calendar');
    redirect_delete_by_path('events/upcoming');
  }
}
